Get statement info
API reference
Returns bank statement information for the specified account. Also returns a unique statement ID you can use to request a PDF statement file for the specific account number. Request the file info in the Get statement doc info call.
Endpoint: /v1/dda/accounts/{accountNumber}/statements
GET
https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/statements
Path Parameters
- accountNumberstringrequiredDescription
Response
- idstringDescription
- statusstringDescription
- accountNumberstringDescription
- descriptionstringDescription
- createdAtstringDescription
- periodStartstringDescription
- periodEndstringDescription
- closedAtstringDescription
- partnerIdstringDescription
- productIdstringDescription
- productNamestringDescription
- beginBalanceintegerDescription
- endBalanceintegerDescription
- entryCountintegerDescription
- debitTotalintegerDescription
- creditTotalintegerDescription
- documentCountintegerDescription
- depositTotalintegerDescription
- withdrawalTotalintegerDescription
- feesTotalintegerDescription
- interestPaidThisPeriodintegerDescription
- interestPaidYtdintegerDescription
- interestAccruedThisPeriodintegerDescription
- interestAccruedYtdintegerDescription
- annualPercentageYieldEarnedBpsintegerDescription
- averageDailyBalanceintegerDescription
- currencystringDescription
- mailingLine1stringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts/2819503463/statements',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("GET", "/core/v1/dda/accounts/2819503463/statements", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"id": "6daf4caa-34d5-4e65-9f98-b388004f0af7",
"status": "Completed",
"accountNumber": "2819503463",
"description": "10/1/2025 - 10/31/2025",
"createdAt": "2025-11-01T00:47:47.293-04:00",
"periodStart": "2025-10-01T00:00:00-04:00",
"periodEnd": "2025-10-31T00:00:00-04:00",
"closedAt": "2025-11-01T00:47:47.483-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"productName": "Devra Personal Checking",
"beginBalance": 905000,
"endBalance": 905000,
"entryCount": 0,
"debitTotal": 0,
"creditTotal": 0,
"documentCount": 1,
"depositTotal": 0,
"withdrawalTotal": 0,
"feesTotal": 0,
"interestPaidThisPeriod": 0,
"interestPaidYtd": 0,
"interestAccruedThisPeriod": 0,
"interestAccruedYtd": 0,
"annualPercentageYieldEarnedBps": 0,
"averageDailyBalance": 905000,
"currency": "usd",
"mailingLine1": "Jerry Penn",
"mailingLine2": "12 Main St",
"mailingLine5": "New York NY 10001",
"mailingLine6": "US",
"lastModifiedAt": "2025-11-01T03:03:56.664588-04:00"
},
{
"id": "27422396-20e0-4ad7-8700-b3690051d30c",
"status": "Completed",
"accountNumber": "2819503463",
"description": "9/1/2025 - 9/30/2025",
"createdAt": "2025-10-01T00:57:54.943-04:00",
"periodStart": "2025-09-01T00:00:00-04:00",
"periodEnd": "2025-09-30T00:00:00-04:00",
"closedAt": "2025-10-01T00:57:55.023-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"productName": "Devra Personal Checking",
"beginBalance": 910000,
"endBalance": 905000,
"entryCount": 2,
"debitTotal": 5000,
"creditTotal": 0,
"documentCount": 2,
"depositTotal": 0,
"withdrawalTotal": 5000,
"feesTotal": 0,
"interestPaidThisPeriod": 0,
"interestPaidYtd": 0,
"interestAccruedThisPeriod": 0,
"interestAccruedYtd": 0,
"annualPercentageYieldEarnedBps": 0,
"averageDailyBalance": 907833,
"currency": "usd",
"mailingLine1": "Jerry Penn",
"mailingLine2": "12 Main St",
"mailingLine5": "New York NY 10001",
"mailingLine6": "US",
"lastModifiedAt": "2025-10-01T05:03:06.3427273-04:00"
},
{
"id": "3e9f8061-0c26-4bf3-8788-b34b004eee9d",
"status": "Completed",
"accountNumber": "2819503463",
"description": "8/1/2025 - 8/31/2025",
"createdAt": "2025-09-01T00:47:23.047-04:00",
"periodStart": "2025-08-01T00:00:00-04:00",
"periodEnd": "2025-08-31T00:00:00-04:00",
"closedAt": "2025-09-01T00:47:23.133-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"productName": "Devra Personal Checking",
"beginBalance": 911000,
"endBalance": 910000,
"entryCount": 3,
"debitTotal": 16000,
"creditTotal": 15000,
"documentCount": 1,
"depositTotal": 15000,
"withdrawalTotal": 16000,
"feesTotal": 0,
"interestPaidThisPeriod": 0,
"interestPaidYtd": 0,
"interestAccruedThisPeriod": 0,
"interestAccruedYtd": 0,
"annualPercentageYieldEarnedBps": 0,
"averageDailyBalance": 909677,
"currency": "usd",
"mailingLine1": "Jerry Penn",
"mailingLine2": "12 Main St",
"mailingLine5": "New York NY 10001",
"mailingLine6": "US",
"lastModifiedAt": "2025-09-01T05:09:41.7781479-04:00"
},
{
"id": "f5486212-6c3a-4cdf-a185-b32c004ad9b8",
"status": "Completed",
"accountNumber": "2819503463",
"description": "7/1/2025 - 7/31/2025",
"createdAt": "2025-08-01T00:32:31.487-04:00",
"periodStart": "2025-07-01T00:00:00-04:00",
"periodEnd": "2025-07-31T00:00:00-04:00",
"closedAt": "2025-08-01T00:32:31.933-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"productName": "Devra Personal Checking",
"beginBalance": 901000,
"endBalance": 911000,
"entryCount": 1,
"debitTotal": 0,
"creditTotal": 10000,
"documentCount": 1,
"depositTotal": 10000,
"withdrawalTotal": 0,
"feesTotal": 0,
"interestPaidThisPeriod": 0,
"interestPaidYtd": 0,
"interestAccruedThisPeriod": 0,
"interestAccruedYtd": 0,
"annualPercentageYieldEarnedBps": 0,
"averageDailyBalance": 909387,
"currency": "usd",
"mailingLine1": "Jerry Penn",
"mailingLine2": "12 Main St",
"mailingLine5": "New York NY 10001",
"mailingLine6": "US",
"lastModifiedAt": "2025-08-01T02:08:20.1161898-04:00"
},
{
"id": "9df39d21-8b4e-4709-baa3-b30d004bed7a",
"status": "Completed",
"accountNumber": "2819503463",
"description": "6/18/2025 - 6/30/2025",
"createdAt": "2025-07-01T00:36:26.7-04:00",
"periodStart": "2025-06-18T00:00:00-04:00",
"periodEnd": "2025-06-30T00:00:00-04:00",
"closedAt": "2025-07-01T00:36:26.787-04:00",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"productName": "Devra Personal Checking",
"beginBalance": 0,
"endBalance": 901000,
"entryCount": 2,
"debitTotal": 0,
"creditTotal": 901000,
"documentCount": 0,
"depositTotal": 901000,
"withdrawalTotal": 0,
"feesTotal": 0,
"interestPaidThisPeriod": 0,
"interestPaidYtd": 0,
"interestAccruedThisPeriod": 0,
"interestAccruedYtd": 0,
"annualPercentageYieldEarnedBps": 0,
"averageDailyBalance": 900615,
"currency": "usd",
"mailingLine1": "Jerry Penn",
"mailingLine2": "12 Main St",
"mailingLine5": "New York NY 10001",
"mailingLine6": "US",
"lastModifiedAt": "2025-07-01T00:36:26.6989838-04:00"
}
],
"pageNumber": 1,
"pageSize": 5,
"hasPreviousPage": false,
"hasNextPage": false
}